> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /pubmed/articles

> Get a PubMed article by its PMID

**Price:** 1 credit

**⚠️ Common errors:** 412: Article not found



## OpenAPI

````yaml /openapi/research-papers.json post /api/pubmed/articles
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/pubmed/articles:
    post:
      tags:
        - /pubmed
      summary: /pubmed/articles
      description: |-
        Get a PubMed article by its PMID

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Article not found
      operationId: __api_pubmed_articles_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PubmedArticlesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PubmedArticle'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PubmedArticlesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        id:
          type: string
          minLength: 1
      type: object
      required:
        - id
    PubmedArticle:
      properties:
        '@type':
          type: string
          default: PubmedArticle
        pmid:
          type: string
        doi:
          anyOf:
            - type: string
            - type: 'null'
        pmcid:
          anyOf:
            - type: string
            - type: 'null'
        pii:
          anyOf:
            - type: string
            - type: 'null'
        vernacular_title:
          anyOf:
            - type: string
            - type: 'null'
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        author_string:
          anyOf:
            - type: string
            - type: 'null'
        last_author:
          anyOf:
            - type: string
            - type: 'null'
        authors:
          items:
            $ref: '#/components/schemas/PubmedAuthor'
          type: array
          default: []
        journal:
          anyOf:
            - $ref: '#/components/schemas/PubmedJournal'
            - type: 'null'
        pub_year:
          anyOf:
            - type: integer
            - type: 'null'
        pub_date:
          anyOf:
            - type: string
            - type: 'null'
        epub_date:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        pub_model:
          anyOf:
            - type: string
            - type: 'null'
        publication_status:
          anyOf:
            - type: string
            - type: 'null'
        pub_types:
          items:
            type: string
          type: array
          default: []
        keywords:
          items:
            type: string
          type: array
          default: []
        mesh_headings:
          items:
            $ref: '#/components/schemas/PubmedMeshHeading'
          type: array
          default: []
        chemicals:
          items:
            $ref: '#/components/schemas/PubmedChemical'
          type: array
          default: []
        grants:
          items:
            $ref: '#/components/schemas/PubmedGrant'
          type: array
          default: []
        data_banks:
          items:
            $ref: '#/components/schemas/PubmedDataBank'
          type: array
          default: []
        coi_statement:
          anyOf:
            - type: string
            - type: 'null'
        citation_subset:
          anyOf:
            - type: string
            - type: 'null'
        history:
          items:
            $ref: '#/components/schemas/PubmedHistoryEvent'
          type: array
          default: []
        date_completed:
          anyOf:
            - type: string
            - type: 'null'
        date_revised:
          anyOf:
            - type: string
            - type: 'null'
        record_status:
          anyOf:
            - type: string
            - type: 'null'
        pmc_ref_count:
          type: integer
          default: 0
        web_url:
          type: string
          default: ''
      type: object
      required:
        - pmid
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PubmedAuthor:
      properties:
        '@type':
          type: string
          default: PubmedAuthor
        full_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        initials:
          anyOf:
            - type: string
            - type: 'null'
        orcid:
          anyOf:
            - type: string
            - type: 'null'
        affiliation:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PubmedJournal:
      properties:
        '@type':
          type: string
          default: PubmedJournal
        iso_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        medline_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        nlmid:
          anyOf:
            - type: string
            - type: 'null'
        issn:
          anyOf:
            - type: string
            - type: 'null'
        essn:
          anyOf:
            - type: string
            - type: 'null'
        issn_linking:
          anyOf:
            - type: string
            - type: 'null'
        volume:
          anyOf:
            - type: string
            - type: 'null'
        issue:
          anyOf:
            - type: string
            - type: 'null'
        pages:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        pub_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PubmedMeshHeading:
      properties:
        '@type':
          type: string
          default: PubmedMeshHeading
        descriptor_name:
          type: string
        descriptor_ui:
          anyOf:
            - type: string
            - type: 'null'
        is_major_topic:
          type: boolean
          default: false
        qualifiers:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - descriptor_name
    PubmedChemical:
      properties:
        '@type':
          type: string
          default: PubmedChemical
        name:
          type: string
        registry_number:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    PubmedGrant:
      properties:
        '@type':
          type: string
          default: PubmedGrant
        grant_id:
          anyOf:
            - type: string
            - type: 'null'
        agency:
          anyOf:
            - type: string
            - type: 'null'
        acronym:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PubmedDataBank:
      properties:
        '@type':
          type: string
          default: PubmedDataBank
        name:
          type: string
        accession:
          type: string
      type: object
      required:
        - name
        - accession
    PubmedHistoryEvent:
      properties:
        '@type':
          type: string
          default: PubmedHistoryEvent
        status:
          type: string
        date:
          type: string
      type: object
      required:
        - status
        - date
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````